# Module mr_master_state

- Description
- Data Types
- Function Index
- Function Details

state for one map reduce master.

Copyright © 2012 Zuse Institute Berlin

Version: $Id$

Authors: Jan Fajerski (`fajerski@zib.de`).

## Description

state for one map reduce master

## Data Types

### outstanding()

    outstanding() = false | snapshot

### state()

    state() =
        #state{id = rt_chord:key(),
               acked = intervals:interval(),
               round = non_neg_integer(),
               outstanding = outstanding(),
               job = mr_state:job_description(),
               client = false | comm:mypid()}

## Function Index

get/2 |
get_slide_delta/2 |
new/3 |
set/2 |

## Function Details

### new/3

    new(Id :: rt_chord:key(),
        Job :: mr_state:job_description(),
        Client :: comm:mypid()) ->
           state()

### get/2

    get(X1 :: id, State :: state()) -> rt_chord:key()

### set/2

    set(State :: state(),
        T ::
            [{id, rt_chord:key()} |
             {acked, intervals:interval()} |
             {round, non_neg_integer()} |
             {outstanding, outstanding()} |
             {client, comm:mypid()}]) ->
           state()

### get_slide_delta/2

    get_slide_delta(State :: state(),
                    Interval :: intervals:interval()) ->
                       {boolean(), state()}

Generated by EDoc, Feb 29 2016, 16:12:20.